<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
<meta name=keywords content="北京新昕科技、人脸识别、反欺诈、反欺诈系统、识别用户、用户识别、身份识别、人工智能、活体检测">
<meta name=description content="北京新昕科技有限公司专注人工智能创新学习，结合云计算、大数据深度分析验证用户身份和行为，全面防范互联网用户身份欺诈风险。通过产品与技术的创新，深入研究互联网行业特性，针对用户实际应用场景不断升级解决方案，降低用户欺诈风险，让互联网诚信互连。">
  <title>新昕科技-Demo</title>
</head>
<body>
<script type="text/javascript" src="/js/jquery-3.1.0.min.js"></script>
<script type="text/javascript" src="/NxtJsServlet?callJs=myCallBack()"></script>
<script type="text/javascript">
    //设置超时时间
	var begin = new Date().getTime();
	var isGo=true;
	window.setTimeout(function(){
		if(isGo){
			alert("time out go()!");
			console.log("index.jsp goto pay timeout ");
			go();
		}
	},5000);	

	function go(msg){
		//alert(msg);
		// 页面跳转或触发动作
		var url="/pay.jsp";
		console.log("index.jsp goto pay!")
		// 确保只go() 1次
		isGo=false;
		window.location.href = url;
	}

	function myCallBack() {
		var nxtToken = NxtToken();	
		var param="mode=getDevice&nxtToken="+nxtToken;
		$.ajax({
    		"type" : "get",
    		"url" : "NxtJsServlet",
    		"data" : param,
    		"dataType" : "json",
    		"success" : function(result) {
				var cost=new Date().getTime()-begin;
				var deviceId= (result) ? result['deviceId'] : null;
				var len=(deviceId != null) ? deviceId.length : 0;
    			if (len==32) {
					var logMsg="";
					for(var key in result) {
						if(key=='deviceId'||key=='deviceCookieId'||key=='deviceHoldDays'||key=='deviceFirstTime'||key=='ip'||key=='networkType'||key=='referrer'){
							if(logMsg.length > 0){
								logMsg+=",";
							}
                			logMsg+=key + '=' + result[key];
	                	}                  
					}
					console.log("index.jsp {"+logMsg+"}");
					var msg="PAY GATEWAY DEMO \ndeviceId="+result['deviceId']+"\n go() cost="+cost+"!";
					go(msg);
    			} else {
					console.log("index.jsp continue!");
					window.setTimeout(function(){myCallBack();},1000);
    			}
    		},
			"error":function(result) {
				console.log("index.jsp error continue!");
				window.setTimeout(function(){myCallBack();},1000);
			}
    	});
	}

</script>
</body>
</html>
