package com.newxtc;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.servlet.annotation.WebListener;

/**
 * 监听器，用于启动加载配置信息等其他工作
 */
@WebListener
public class NxtListener implements ServletContextListener {

	public void contextInitialized(ServletContextEvent event) {
		System.out.println("--------init() NxtSmsClient begin ! -------");
		long begin = System.currentTimeMillis();
		NxtInit.getInstance().init(null);
		long costTime = System.currentTimeMillis() - begin;
		System.out.println("--------init() NxtSmsClient Suscess !(costTime=" + costTime + ")-------\n");
	}

	public void contextDestroyed(ServletContextEvent event) {
	}
}
